class hgr::dovecot {

  package {
    "dovecot-imapd":
      ensure => installed;
  }

  file {
    "/etc/dovecot/conf.d/10-mail.conf":
      ensure => present,
      source => "puppet:///modules/hgr/dovecot/10-mail.conf",
      owner => "root",
      group => "root",
      mode => "0644",
      notify => Service["dovecot"],
      require => [Package["dovecot-imapd"]];
    "/etc/dovecot/conf.d/10-master.conf":
      ensure => present,
      source => "puppet:///modules/hgr/dovecot/10-master.conf",
      owner => "root",
      group => "root",
      mode => "0644",
      notify => Service["dovecot"],
      require => [Package["dovecot-imapd"]];
    "/etc/dovecot/conf.d/10-auth.conf":
      ensure => present,
      source => "puppet:///modules/hgr/dovecot/10-auth.conf",
      owner => "root",
      group => "root",
      mode => "0644",
      notify => Service["dovecot"],
      require => [Package["dovecot-imapd"]];
  }

  service {
    "dovecot":
      ensure => running,
      enable => true,
      require => Package["dovecot-imapd"];
  }

}
