class hgr::radicale {

  $radicale_public_users = hiera('radicale.public_users','public')
  $radicale_private_users = hiera('radicale.private_users','private')

  package {
    "radicale":
      ensure => installed;
  }

  file {
    "/etc/radicale/config":
      ensure => file,
      content => template("hgr/radicale/config.erb"),
      owner => "root",
      group => "root",
      mode => "0644",
      require => [Package["radicale"],File["/etc/ssl/certs/${::fqdn}.pem"],File["/etc/ssl/private/${::fqdn}.key"],File["/etc/radicale/users"]];
    "/etc/radicale/users":
      ensure => file,
      mode => "0644",
      owner => "root",
      group => "root",
      require => Package["radicale"];
  }

  service {
    "radicale":
      ensure => running,
      enable => true,
      require => [Package["radicale"],File["/etc/radicale/config"]];
  }

}
