class hgr::spamassassin {

  package {
    "spamassassin":
       ensure => installed;
    "pyzor":
      ensure => installed;
  }

  file {
      "/etc/spamassassin/local.cf":
         ensure => present,
         source => "puppet:///modules/hgr/spamassassin/local.cf",
         owner => "root",
         group => "root",
         mode => "0644",
         notify => Service["spamassassin"],
         require => Package["spamassassin"];
  }

  service {
      "spamassassin":
          ensure => running,
          enable => true,
          require => Package["spamassassin"];
  }

  exec {
    "pyzor-discover":
      command => "/usr/bin/pyzor discover",
      creates => "/root/.pyzor/servers",
      user => "root",
      require => Package["pyzor"];
  }



}
